Bug 1658452

Summary: Review Request: python-flasgger - Easy Swagger UI for your Flask API
Product: [Fedora] Fedora Reporter: Jan Kaluža <jkaluza>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: jkaluza, mizdebsk, package-review
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: AwaitingSubmitter
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-03-20 07:46:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Jan Kaluža 2018-12-12 07:37:25 UTC
Spec URL: http://jkaluza.fedorapeople.org/python-flasgger.spec
SRPM URL: http://jkaluza.fedorapeople.org/python-flasgger-0.9.2-1.src.rpm
Description: Flasgger is a Flask extension to extract OpenAPI Specification from all Flask views registered in your API.
Fedora Account System Username: jkaluza

F28 scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=31419810

Comment 1 Mikolaj Izdebski 2018-12-12 07:40:49 UTC
Required by ODCS. I will do the review.

Comment 2 Mikolaj Izdebski 2018-12-13 04:22:19 UTC
Spec file is legible. BuildRequires are correct. Package builds fine on x86_64.

rpmlint output:
python3-flasgger.noarch: E: zero-length /usr/lib/python3.7/site-packages/flasgger/ui2/static/css/typography.css
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

python3-flasgger contains JavaScript object code that is not built from source. That included bundled libraries that are packaged separately. This is not acceptable - the code must be built from source. Moreover, you should make effort to avoid shipping bundled libraries - they should be (but don't have to be) packaged separately.

Comment 3 Mikolaj Izdebski 2019-04-09 18:19:29 UTC
Review is stalled. I'm removing myself from assignee.